
clear;

wavFile = "wavInp/musZorg.wav";
corFile = "work/corZstd.xls";

% mover axisAngle - possible values: -1 -0.75 -0.5 -0.25 0 0.25 0.5 0.75 1 eller NaN
% movFile.txt: Bnr axis1Angle axis2Angle .. axisNAngle 
noBeatsPerBar = 4;

[musArr44100, ~] = audioread(wavFile); % Stereo 44100Hz
musArr525 = decimate((musArr44100(:, 1) + musArr44100(:, 1))/2, 84); % Mono 525Hz, samme som motor

corArrDB = readcell(corFile); % DownBeat: {DBtime(ms), moveName, event, song sectionType}
corArrDB(cellfun(@(x) any(ismissing(x)), corArrDB)) = {''}; % fix
clickDBtimeMs = cell2mat(corArrDB(:,1)); % ms, tider for DownBeat

corValArrB = makeCorValArrB(corArrDB, noBeatsPerBar); % BeatTimeAll(ms) ch1axAng ch2axAng  para1a para1b para1c para1d  para2a para2b para2c para2d
clickBtimeMs = corValArrB(:,1); % ms, tider for Beat

clickTrack44100 = makeClickTrack44100(clickDBtimeMs, clickDBtimeMs, musArr44100); % DB Klikk med lyd
wavClick44100 = clickTrack44100 + musArr44100;
%sound(wavClick44100(1:200000), 44100);

cntArr525 = makeCntArr525(corValArrB);

startClickNr = 1;
endClickNr = 15;
plotCurves(musArr525, corArrDB, cntArr525, clickDBtimeMs, clickBtimeMs, corValArrB, startClickNr,  endClickNr, -1, -1);

gui;




writecell(corArrDB,'work/corZstd.xls');
C = readcell(filename)

saveMovToFile(mov, 'test.txt');

mov = load('movLib/movJong.txt');




mov = iniMov(4);
saveMovToFile(mov, 'movLib/movIntro.txt');
corArrDB = readcell(corFile); % DownBeat: {DBtime(ms), moveName, event, song sectionType}
corArrDB(cellfun(@(x) any(ismissing(x)), corArrDB)) = {''}; % fix
clickDBtimeMs = cell2mat(corArrDB(:,1)); % ms, tider for DownBeat
corValArrB = makeCorValArrB(corArrDB, noBeatsPerBar); % BeatTimeAll(ms) ch1axAng ch2axAng  para1a para1b para1c para1d  para2a para2b para2c para2d
clickBtimeMs = corValArrB(:,1); % ms, tider for Beat
cntArr525 = makeCntArr525(corValArrB);
plotCurves(musArr525, corArrDB, cntArr525, clickDBtimeMs, clickBtimeMs, corValArrB, startClickNr,  endClickNr, -1, -1);





movGen = iniMovGen(4, 16);
for ind = 1 : 16
    mov = movGen(:, :, ind);
    saveMovToFile(mov, 'movLib/movIntro.txt');
    corValArrB = makeCorValArrB(corArrDB, noBeatsPerBar);
    cntArr525evo(:, :, ind) = makeCntArr525(corValArrB);
end

fig2;setUp2dView('backCol',[0.2 0.2 0.2]);
xDiv = 1.5;
yDiv = 1.5;
noX = 4;
noY = 4;
for y = 0 : noY 
    line([0 (noX)*xDiv], [y*yDiv y*yDiv], 'color', [1 0.8 0.8]);
end
for x = 0 : noX 
    line([x*xDiv x*xDiv], [0 (noY)*yDiv], 'color', [1 0.8 0.8]);
end

[x,y] = ginput2(1)
floor(x/xDiv)+1
floor(y/yDiv)+1


runPreviewEVO(musArr44100, cntArr525evo, clickDBtimeMs, startClickNr, endClickNr);
              

%%






corArrDB = {};
for i = 1 : length(corStrArr)
    corArrDB(i,:) = {str2double(corStrArr(i,1)), corStrArr(i,3), corStrArr(i,4), corStrArr(i,5)};
end

for i = 1:length(corArrDB)
    corArrDB{i,2} = "";
end


fi = fopen('co.txt','w');

for i = 1 : length(corArr)
    c = '                                                                                      ';
    % fprintf(fi, '%d \t \t %s \t \t %s \t \t %s \n', cor{i,1}, cor{i,2}, cor{i,3}, cor{i,4} );
    
    c(1:length(num2str(cor{i,1}))) = num2strcor{i,1};
end

fclose(fi);